Bug 20067 - CVE-2009-1789 eggdrop remote crash vulnerability (incomplete patch for CVE-2007-2807)
: CVE-2009-1789 eggdrop remote crash vulnerability (incomplete patch for CVE-20...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/eggdrop)
: unstable
: all Linux
: P3 blocker
Assigned To:
:
: http://www.gossamer-threads.com/lists...
: security
:
:
  Show dependency tree
 
Reported: 2009-05-16 00:38 by
Modified: 2009-05-30 10:40 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-05-16 00:38:23
Патч для CVE-2007-2807 использует strncpy для починки уязвимости переполнения
буфера в src/mod/server.mod/servmsg.c (gotmsg). Последний аргумент не
проверяется на неотрицательность, которая может произойти в случае если ctcpbuf
пустая строка "". Это открывает возможность для удалённого краха eggdrop для
любого, подключённго к той же IRC сети, что и eggdrop.

Пример эксплойта - отправить следующее сообщение на IRC-сервер для обрушения
eggdrop:
PRIVMSG eggdrop :\1\1

Апстрим выпустил исправления в виде релиза Eggdrop 1.6.19+ctcpfix
------- Comment #1 From 2009-05-18 15:48:54 -------
eggdrop-1.6.19-alt2 -> sisyphus:

* Mon May 18 2009 Vladimir V. Kamarzin <vvk@altlinux> 1.6.19-alt2

- Security fix: eggdrop remote crash vulnerability (incomplete patch for
  CVE-2007-2807) (Closes: #20067)
------- Comment #2 From 2009-05-19 11:41:59 -------
ок, можно закрывать.
------- Comment #3 From 2009-05-25 20:21:02 -------
closed